      SUBROUTINE MYBORD(X,Y,C,LL,IBORD,ICOL1,ICOL2)
      INCLUDE 'Parametres.f'
      integer*2 rect_clip_loc(0:1,0:3)
c
      REAL*4 X(2),Y(2)
c      CHARACTER*1024 c
      CHARACTER*1 c(*)
      data iquat / 4 /
c
      IX0 = nint(origine_x + facteur_en_x*X(1))
      IY0 = nint(origine_y + facteur_en_y*Y(1))
      IX1 = nint(origine_x + facteur_en_x*X(2))
      IY1 = nint(origine_y + facteur_en_y*Y(2))
      rect_clip_loc(0,0) = ix0-ibord
      rect_clip_loc(1,0) = iy0+ibord
      rect_clip_loc(0,1) = rect_clip_loc(0,0)
      rect_clip_loc(1,1) = iy1-ibord
      rect_clip_loc(0,2) = ix1+ibord
      rect_clip_loc(1,2) = rect_clip_loc(1,1)
      rect_clip_loc(0,3) = rect_clip_loc(0,2)
      rect_clip_loc(1,3) = rect_clip_loc(1,0)
      ix_clip_origine_loc = min(rect_clip_loc(0,0),rect_clip_loc(0,2))
      iy_clip_origine_loc = min(rect_clip_loc(1,0),rect_clip_loc(1,1))
      call x11clip(rect_clip_loc,iquat
     &            ,ix_clip_origine_loc,iy_clip_origine_loc)
      icmem = icoul_courante
      CALL x11bord(ix0,iy0,ix1,iy1,C,LL,ibord,icol1,icol2
     &            ,icoulfond,icoul_texte)
      call x11loadcolor(icmem)
      call viderbuff2()
      call x11clip(rect_clip,iquat,ix_clip_origine,iy_clip_origine)
      end
